Scripting
Access scripting modules, TypeScript declarations, run logs and deprecation data through the VARIO Cloud Scripting API.
Script management
Sollen nur EAV-Typen ausgespielt werden?
falseOK
GET /cmn/scripting/typescript-declarations HTTP/1.1
Host: api.example.com
Accept: */*
OK
binaryOK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
ID der Session
Startzeitpunkt
Endzeitpunkt
War der Run erfolgreich?
trueGET /cmn/scripting/script/runs/{runId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"script": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"moduleName": "text",
"scriptSource": "text",
"scriptModuleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"identifier": "text",
"logLines": [],
"startedAt": "2026-01-01T00:00:00.000Z",
"finishAt": "2026-01-01T00:00:00.000Z",
"successful": true
}OK
Beschreibung zu einem Skript
GET /cmn/scripting/script/module/{module}/script-context-description HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"mainInstance": {
"name": "text",
"description": "text",
"moduleName": "text",
"attributes": [],
"methods": [],
"usageExample": "text",
"type": "INSTANCE"
},
"availableTypes": [],
"availableInput": []
}OK
GET /cmn/scripting/script/module HTTP/1.1
Host: api.example.com
Accept: */*
OK
[
"text"
]OK
GET /cmn/scripting/markdown-documentation HTTP/1.1
Host: api.example.com
Accept: */*
OK
binaryan identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Modul
Container ID
Element
Arten von Elementen in Skript-Typen
Meldung
Resource with given ID was not found
GET /cmn/scripting/deprecation-log/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"moduleName": "text",
"containerId": 1,
"deprecatedElement": "text",
"deprecatedElementType": "TYPE",
"deprecationMessage": "text"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/scripting/deprecation-log/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Last updated
Was this helpful?